Get order by ID
curl --request GET \
--url https://store.salesive.com/api/v1/orders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/orders/{id}"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"success": true,
"message": "<string>",
"data": {
"_id": "<string>",
"orderId": 123,
"user": "<string>",
"shop": "<string>",
"items": [
{
"product": "<string>",
"name": "<string>",
"price": 123,
"quantity": 2,
"variant": "<string>",
"sku": "<string>",
"variantAttributes": {},
"imageUrl": "<string>"
}
],
"subtotal": 123,
"shippingCost": 123,
"total": 123,
"shippingAddress": {
"fullName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>"
},
"payment": "<string>",
"shipment": "<string>",
"notes": "<string>",
"additionalInfo": [
{
"label": "<string>",
"value": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Orders
Get order by ID
Retrieve a specific order by its ID.
GET
/
orders
/
{id}
Get order by ID
Request
GET /orders/{id}
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Provide the customer token in the format Bearer <jwt>. |
x-shop-id | string | Identify the shop that owns the order. |
Path parameters
| Parameter | Type | Description |
|---|---|---|
id | string | The ID of the order to retrieve. |
Successful response
{
"status": 200,
"success": true,
"message": "Order retrieved",
"data": {
"_id": "6938414ad9485f4d96134f8c",
"user": "669d5dcf3cc9c8596ec0f302",
"shop": "68b8f52575da81b332af29f1",
"items": [
{
"product": "68bc52f0e15404b8e40a7c52",
"variant": "692caacbb07303c9be5ea8f2",
"name": "Classic Hoodie",
"sku": "HOODIE-GREEN-M",
"price": 25000,
"quantity": 1,
"variantAttributes": {
"color": "green"
},
"imageUrl": "https://cdn.salesive.com/products/hoodie.jpg",
"_id": "6938414ad9485f4d96134f8d"
}
],
"status": "completed",
"payment": {
"_id": "693b7cb3e1906f5273e48135",
"shop": "68b8f52575da81b332af29f1",
"channel": "other",
"transactionId": "9859451",
"provider": "flutterwave",
"amount": 19477.2,
"total": 19876,
"currency": "NGN",
"status": "completed",
"createdAt": "2025-12-12T02:23:47.841Z",
"updatedAt": "2025-12-12T02:23:47.841Z"
},
"discount": 6250,
"coupon": "690f5d8a088bef812956b384",
"subtotal": 25000,
"shippingCost": 727.2,
"fee": 0,
"tax": 0,
"additionalInfo": [
{ "label": "Gift message", "value": "Happy birthday!" }
],
"shipment": {
"_id": "693aa5ed1141d1a105282ba2",
"courier": {
"id": "express_courier",
"name": "Express Delivery",
"image": "https://cdn.salesive.com/couriers/express.png"
},
"estimatedDelivery": "2025-12-14T11:07:24.000Z"
},
"orderId": 9,
"createdAt": "2025-12-09T15:33:30.039Z",
"updatedAt": "2026-02-16T12:13:31.035Z"
}
}
Error responses
401 Unauthorized
{
"status": 401,
"success": false,
"message": "Authentication required",
"data": {}
}
404 Not Found
{
"status": 404,
"success": false,
"message": "Order not found",
"data": null
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Path Parameters
The ID of the order to retrieve
Was this page helpful?
⌘I

